routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth/login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

/*
    Customer Route
*/
Route::resource('customerorder', 'CustomerOrderController');


/*
    Stokis Route
*/
Route::get('admin/stokis/dashboard/{id}', 'StokisController@dashboard')->name('admin.stokis.dashboard');
Route::get('admin/stokis/order/{id}', 'StokisController@order')->name('admin.stokis.order');
Route::resource('admin/stokis', 'StokisController', ['as' => 'admin']);

/*
    Customer
*/
Route::resource('admin/customer', 'CustomerController', ['as' => 'admin']);
Route::get('customers', 'CustomerController@getAll')->name('customer');
Route::get('customer/edit{id}', 'CustomerController@edit')->name('customer.edit');


/*
    Order Route
*/
Route::get('orders/stokisapprove/{id}', 'OrderController@stokisapprove')->name('orders.stokisapprove');
Route::get('orders/stokisreject/{id}', 'OrderController@stokisreject')->name('orders.stokisreject');
Route::get('orders/approve', 'OrderController@approve')->name('orders.approve');
Route::get('orders/history', 'OrderController@history')->name('orders.history');
Route::resource('orders', 'OrderController');

/*
    Personal Profile Route
*/
Route::resource('profile', 'ProfileController');

/*
    Personal Profile Route
*/
Route::resource('dashboard', 'DashboardController');

/*
    Customer Route
*/
Route::get('customer/get/{id}', 'CustomerOrderController@getCustomer');
Route::resource('customerorders', 'CustomerOrderController');





/*
    Admin Route
*/
Route::get('admin/summary', 'AdminOrderController@summary')->name('admin.summary');
Route::get('admin/reject/{id}', 'AdminOrderController@reject')->name('admin.reject');
Route::get('admin/pending', 'AdminOrderController@pending')->name('admin.pending');
Route::resource('admin', 'AdminOrderController');

app/Customer.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Customer extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'name',
        'phone_number',
        'address',
        'user_id',
    ];

    public function user()
    {
        return $this->belongsTo('App\User');
    }

    public function orders()
    {
        return $this->hasMany('App\Order');
    }

}

app/Http/Controllers/CustomerController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Customer;
use App\Product;
use App\User;

use Illuminate\Support\Facades\Auth;


class CustomerController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        if(Auth::user()->role == 'admin')
            $users = Customer::paginate(config('app.pagination'));

        else{
            $user = User::find(Auth::id());
            $user = $user->customers;
        }

        $products = Product::get();

        // create new user object and calculate total product and quantity per user
        $new_user = new \stdClass();
        $userCount= 0;
        foreach($users as $user){
            $productCount = 0;
            $new_user->user[$userCount] = new \stdClass();
            $new_user->user[$userCount]->id = $user->id;

            foreach($products as $product){
                $new_user->user[$userCount]->product[$productCount]  = new \stdClass();
                $new_user->user[$userCount]->product[$productCount]->id = $product->id;
                $new_user->user[$userCount]->product[$productCount]->name = $product->name;
                $new_user->user[$userCount]->product[$productCount]->quantity = 0;
                foreach($user->orders as $order){
                    if ($order->order_status == 'Approved by HQ')
                        foreach($order->orderproducts as $orderproduct){
                            if ($orderproduct->product_id == $product->id)
                            $new_user->user[$userCount]->product[$productCount]->quantity = $new_user->user[$userCount]->product[$productCount]->quantity + $orderproduct->quantity;
                        }
                }

            $productCount++;
            }
        $userCount++;
        }
        return view('admin.customer', compact('users','products', 'new_user'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $customer = Customer::find($id);
        return view('customer.edit', compact('customer'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }


    // get all for stokis

    public function getAll()
    {

        $users = Customer::where('user_id',Auth::id())->paginate(config('app.pagination'));

        $products = Product::get();

        // create new user object and calculate total product and quantity per user
        $new_user = new \stdClass();
        $userCount= 0;
        foreach($users as $user){
            $productCount = 0;
            $new_user->user[$userCount] = new \stdClass();
            $new_user->user[$userCount]->id = $user->user_id;

            foreach($products as $product){
                $new_user->user[$userCount]->product[$productCount]  = new \stdClass();
                $new_user->user[$userCount]->product[$productCount]->id = $product->id;
                $new_user->user[$userCount]->product[$productCount]->name = $product->name;
                $new_user->user[$userCount]->product[$productCount]->quantity = 0;
                foreach($user->orders as $order){
                    if ($order->order_status == 'Approved by HQ')
                    foreach($order->orderproducts as $orderproduct){
                        if ($orderproduct->product_id == $product->id)
                        $new_user->user[$userCount]->product[$productCount]->quantity = $new_user->user[$userCount]->product[$productCount]->quantity + $orderproduct->quantity;
                    }
                }

            $productCount++;
            }
        $userCount++;
        }
        return view('customer.index', compact('users','products', 'new_user'));
    }

}

resources/views/customer/edit.blade.php
@auth
@extends('layouts.layout')

@section('description')
<div>
    <h4>Dashboard Overview</h4>
    <p> Welcome to Jerux Liur Leleh Product Purchase Dashboard.</p>
</div>
@endsection

@section('content')
@if(session()->get('success'))
    <div class="alert alert-success">
        {{ session()->get('success') }}
    </div><br />
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div><br/>
@endif
<div class="container-fluid dashboard">
    <div class="form-style">
        <div class="row">
            <div class="col-md-12 white-background purchase">
                <div class="row">
                    <div class="col-md-12 header-purchase">
                        <h5> Edit Customer</h5>
                    </div>
                </div>
                <form method="post" action="{{ route('customerorders.update', $customer->id) }}"  enctype="multipart/form-data">
                    @method('PATCH')
                    @csrf
                    <div class="form-style">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="name" class="gray-hint">Nama</label>
                                </div>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <input type="text" class="form-control textbox-style" name="name" value="{{$customer->name}}" />
                                </div>
                            </div>
                            <div class="col-md-2"></div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="phone_number" class="gray-hint">No. Phone</label>
                                </div>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <input type="text" class="form-control textbox-style" name="phone_number"  value="{{$customer->phone_number}}" />
                                </div>
                            </div>
                            <div class="col-md-2"></div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="address" class="gray-hint">Alamat Rumah</label>
                                </div>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <textarea class="form-control" rows="3" cols="60" name="address">{{$customer->address}}</textarea>
                                </div>
                            </div>
                            <div class="col-md-2"></div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3 offset-md-9">
                                <div class="form-group button-holder">
                                    <button type="submit" class="btn btn-primary yellow-btn"> SAVE</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection


@endauth

resources/views/customer/index.blade.php
@auth
@extends('layouts.layout')

@section('description')
<div>
    <h4>Customer Database</h4>
    <p> Here you can view all Customer Database.</p>
</div>
@endsection

@section('content')
@if(session()->get('success'))
    <div class="alert alert-success">
        {{ session()->get('success') }}
    </div><br />
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div><br/>
@endif
<div class="container-fluid dashboard">
    <div class="row">
        <div class="col-md-12 white-background purchase">
            <div class="row">
                <div class="col-md-12 header-purchase">
                    <h5> Customer Database</h5>
                </div>
            </div>
            <table class="table-bordered order-table">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Date Registered</th>
                        <th>Status & ID</th>
                        <th>Stokis Details</th>
                        <th>Order History</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                @foreach($users as $user)
                <tr>
                    <td>{{$user->id}}</td>
                    <td>{{date('d/m/Y', strtotime($user->created_at))}}</td>
                    <td>JCI{{date('dmy', strtotime($user->created_at))}}-{{str_pad($user->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>
                        <p>Name : {{$user->name}}</p>
                        <p>Phone : {{$user->phone_number}}</p>
                        <p>Address : {{$user->address}}</p>
                    </td>
                    <td>
                    @foreach($new_user->user as $current_user)
                        @if($current_user->id == $user->id)
                            @foreach($current_user->product as $product)
                            <p>{{$product->name}} x {{$product->quantity}} unit</p>
                            @endforeach
                        @endif
                    @endforeach
                    </td>
                    </p></td>
                    <td>
                        <p><a class="dropdown-item" href="{{ route('customer.edit',$user->id)}}">Edit</a></p>
                    </td>
                </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@else
    <script>window.location = "/";</script>
@endauth